Analytics
Upcoming schedules
Returns all scheduled runs that are configured to execute within the specified date range. Useful for answering questions like “What agents are scheduled to run this week?”
GET
/
api
/
v1
/
analytics
/
schedules
/
upcoming
Get all upcoming scheduled runs in a date range
curl --request GET \
--url https://api.example.com/api/v1/analytics/schedules/upcoming \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/analytics/schedules/upcoming"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/analytics/schedules/upcoming', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"scheduleId": 123,
"agentId": 123,
"agentName": "<string>",
"scheduleName": "<string>",
"nextRunTime": "2023-11-07T05:31:56Z",
"timezone": "<string>",
"isEnabled": true
}
]{
"statusCode": 123,
"statusDescription": "<string>",
"message": "<string>",
"severity": 0,
"errorCode": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Authorizations
API Key authorization header. Example: "Authorization: ApiKey {your-api-key}"
OAuth 2.0 Bearer token. Example: "Authorization: Bearer {access-token}"
Query Parameters
Start date for the range (ISO format)
End date for the range (ISO format)